package org.jeecg.modules.bytedance.advertise.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 头条视频文案信息
 * @author jeecg-boot
 * 2021-04-19
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_video_slogen_info")
public class BytedanceVideoSlogenInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**videoCode*/
	private String videoCode;
	@TableField(exist=false)
	private String materialName;
	@TableField(exist=false)
	private List<String> materialNameArray;
	/**slogan*/
	private String slogan;
	@TableField(exist=false)
	private String newSlogan;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
	/**createBy*/
	private String createBy;
	/**updateBy*/
	private String updateBy;
	/**status*/
	private Integer status;
	private String creativeWordIds;
	private Long projectId;
	public BytedanceVideoSlogenInfo(String videoCode, String slogan, String userId) {
		this.videoCode = videoCode;
		this.slogan = slogan;
		this.createBy = userId;
		this.updateBy = userId;
		this.createTime = new Date();
		this.updateTime = new Date();
		this.status = 1;
	}

	public BytedanceVideoSlogenInfo(String videoCode, String slogan, String userId, String creativeWordIds) {
		this.videoCode = videoCode;
		this.slogan = slogan;
		this.createBy = userId;
		this.updateBy = userId;
		this.createTime = new Date();
		this.updateTime = new Date();
		this.status = 1;
		this.creativeWordIds = creativeWordIds;
	}

	public BytedanceVideoSlogenInfo(Long projectId, String videoCode, String slogan, String userId, String creativeWordIds) {
		this.videoCode = videoCode;
		this.slogan = slogan;
		this.createBy = userId;
		this.updateBy = userId;
		this.createTime = new Date();
		this.updateTime = new Date();
		this.status = 1;
		this.creativeWordIds = creativeWordIds;
		this.projectId = projectId;
	}

	public BytedanceVideoSlogenInfo() {
	}
}
